Zum Inhalt springen

Grok Imagine Video · Text to Video

Integrieren

Modell-ID xai/grok-imagine-video/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/xai/grok-imagine-video/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Diese Anfrage: 0,42 $ 420 API-Credits Auf dieser Seite ausführen

API-Schlüssel abrufen
xAI Text zu Video 1–15 sbis zu 720p #xai#grok#t2v#text-to-video

Erzeugt ein 1–15 Sekunden langes Video ausschließlich aus einem Text-Prompt in 480p oder 720p

xAI · Video

Dein erstes Ergebnis erscheint hier

Erstelle unten eine Anfrage und führe sie mit deinem API-Schlüssel aus. Ausgaben werden in unseren Speicher kopiert und dauerhaft oder 7 Tage kostenlos aufbewahrt.

Anfrage erstellen

Die Steuerelemente werden aus dem Modellschema generiert. Code und Preis werden aktualisiert, während du sie änderst.

•erforderlich 88 / 4096

Beschreibung des zu erstellenden Videos.

resolution Standard 720p

Auflösung des Ausgabevideos.

aspect_ratio Standard 16:9

Seitenverhältnis des resultierenden Videos.

Standard 6

Videolänge in Sekunden.

Erweitert enable_safety_checker
POST /run/xai/grok-imagine-video/text-to-video?wait=20 Preis → 0,42 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/xai/grok-imagine-video/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Diese Anfrage ausführen

Dein Schlüssel bleibt in diesem Browser: Er wird nur an die Doitong API gesendet und nur gespeichert (localStorage), wenn du „Merken“ aktivierst. API-Schlüssel abrufen

Über Grok Imagine Video · Text to Video

Erstellt einen Clip ausschließlich aus einem Text-`prompt` mit bis zu 4096 Zeichen, ohne Bildeingabe. Setze `duration` auf 1 bis 15 Sekunden (Standard 6) und `resolution` auf 480p oder 720p. Die Seitenverhältnisse umfassen 16:9 (Standard), 4:3, 3:2, 1:1, 2:3, 3:4 und 9:16. Der typische Ausgangspunkt, wenn kein Ausgangsmaterial vorhanden ist.

Parameter

NameTyp StandardZulässig Beschreibung
prompterforderlich
Typstring
≤ 4.096 Zeichen
Beschreibung des zu erstellenden Videos.
durationoptional
Typinteger
Standard6
1 – 15
Videolänge in Sekunden.
resolutionoptional
Typenum
Standard720p
480p720p
Auflösung des Ausgabevideos.
aspect_ratiooptional
Typenum
Standard16:9
16:94:33:21:12:33:49:16
Seitenverhältnis des resultierenden Videos.
enable_safety_checkeroptional
Typboolean
Standardtrue
Die Prüfung kann durch Setzen auf false gelockert werden, sofern der Aufrufer dazu berechtigt ist.
erforderlich

Ausgabe

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "xai/grok-imagine-video/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 420,
    "usd": "0.42",
    "charged": 420,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Deine Dateien, deine EntscheidungJede outputs[].url ist eine Kopie in unserem Speicher: dauerhaft aufbewahrt (Abrechnung pro GB-Monat) oder 7 Tage kostenlos – je nach Kontoeinstellung oder ?storage=.
Gleiche Struktur bei jedem Modelltype, url, content_type, width, height und duration – für Bilder, Video und Audio gleichermaßen. output ist das Ergebnisobjekt des Modells.
Ausgabefelder
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}Vom Modell erzeugtes Video.

Weitere Modelle: Text zu Video

Für KI-Agenten: Diese Seite ist als Markdown verfügbar unter https://doitong.com/de/developers/models/xai/grok-imagine-video/text-to-video.md. Alle Modelle und Anleitungen: https://doitong.com/developers/llms.txt